//
// file :         bnthread.h
//
// description :  thread class
//
// project :      TANGO Device Server
//
// $Author: giulio $ 

// $Log: bnthread.h,v $

//
//
// copyleft :   Sincrotrone Trieste S.C.p.A.
//              Strada Statale 14 - km 163,5 in AREA Science Park
//              34012 Basovizza, Trieste ITALY
// 

#ifndef BNTHREAD_H
#define BNTHREAD_H

#include <omnithread.h>
#include "TucsenCam.h"


class bnthread : public omni_thread 
{
	
	private:
		TucsenCam_ns::TucsenCam *mytucsencam;

	public:
		
		/* bnthread::bnthread(): initialize init loop */
		bnthread(TucsenCam_ns::TucsenCam *s){ mytucsencam = s;};
		
		/* bnthread::~vnthread(): object destructor */
		~bnthread() {};
					
	protected:
		/* bnthread::run():	start init loop */
		void run(void *);	
		
};	/* end class bnthread() */


#endif

/* EOF */
